WordPress.org

Ready to get started?Download WordPress

Forums

BulletProof Security
[resolved] Nginx Compatibility? (5 posts)

  1. Julian Fernandes
    Member
    Posted 2 years ago #

    Hello,
    Right now i have a website running with LiteSpeed, but i'm configuring a VPS with Nginx. My question is: is the plugin compatible with Nginx or it just work with Apache and LiteSpeed?

    If it doesn't work, do anyone know where i can find infos about securing WordPress in Nginx?

    Thanks in advance (:

    http://wordpress.org/extend/plugins/bulletproof-security/

  2. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    hmm this post just showed up for me today under the BPS Support forum. Very odd and not sure why that would be.

    If you have an Nginix front end and an Apache back end handling PHP then BPS will work fine, but if you just have Nginx then Nginx does have a mod_rewrite equivalent and you will have to use the Nginx HttpRewriteModule and translate the BPS .htaccess code into an Nginx config file.

  3. Julian Fernandes
    Member
    Posted 2 years ago #

    Humm... do you have any tutorial i can take a look at? I mean, to convert the BPS .htaccess file to one Nginx can read. Or any other tutorial about Nginx + WordPress security, since i can find is about Apache/LiteSpeed :/

  4. AITpro
    Member
    Plugin Author

    Posted 2 years ago #

    I have never actually translated .htaccess code to the code that nginx uses. I was planning on trying that out sometime in September or October. A good starting point would be the nginix wiki. I believe they have a Forum too so maybe check over there and see if someone can point you in the right direction.

  5. Julian Fernandes
    Member
    Posted 2 years ago #

    Will do, thanks AIT (:

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic